RpfCoverageManager (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfCoverageManager

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfCoverageManager

    public class RpfCoverageManager

extends java.lang.Object

This is an object that provides coverage information on the Rpf data. It is supposed to be a simple tool that lets you see the general location of data, to guide you to the right place and scale of coverage. The layer really uses the properties passed in to it to determine which RPF/A.TOC should be scanned for the data. There is a palette for this layer, that lets you turn off the coverage for different levels of Rpf. Right now, only City Graphics, TLM, JOG, TPC, ONC, JNC, GNC and 5/10 meter CIB scales are are handled. All other scales are tossed together under the misc setting. The City Graphics setting shows all charts for scales greater than than 1:15k.

Field Summary
`protected int` | `currentLineType` The last line type of the edge of the rectangles.
`protected RpfFrameProvider` | `frameProvider` The place to get the coverage information,

Constructor Summary
`RpfCoverageManager(RpfFrameProvider rfp)` Don't use this.

Method Summary
`protected void` | `getCatalogCoverage(double ullat, double ullon, double lrlat, double lrlon, Projection proj, java.lang.String chartSeries, java.util.Map<RpfProductInfo,RpfCoverage.RpfCoverageControl> coverages)` Get the map coverage

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentLineType

    protected int currentLineType

  The last line type of the edge of the rectangles. Used to determine whether the line needs to be re-projected based on a projection change.

### frameProvider

    protected RpfFrameProvider frameProvider

  The place to get the coverage information,

Constructor Detail

### RpfCoverageManager

    public RpfCoverageManager(RpfFrameProvider rfp)

  Don't use this.

Method Detail

### getCatalogCoverage

    protected void getCatalogCoverage(double ullat,
                                      double ullon,
                                      double lrlat,
                                      double lrlon,
                                      Projection proj,
                                      java.lang.String chartSeries,
                                      java.util.Map<RpfProductInfo,RpfCoverage.RpfCoverageControl> coverages)

  Get the map coverage

  Parameters:
    `ullat` -
    `ullon` -
    `lrlat` -
    `lrlon` -
    `proj` - projection for display
    `chartSeries` - the chart series to query for, may be null for all coverages
    `coverages` - The Map to be modified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details